class FlashPaper.TreeView
{
    var m_treeMC, m_mainView;
    function TreeView(p_mainView, p_treeMC)
    {
        var _l1 = this;
        _l1.m_treeMC = p_treeMC;
        _l1.m_mainView = p_mainView;
        _l1.m_mainView.addListener(_l1);
        _l1.m_treeMC.setChangeHandler("change", _l1);
        _l1.m_treeMC.setCursorManager(p_mainView);
        _l1.rebuildTree(_l1.m_mainView.getBookmarksArray());
    } // End of the function
    function addBookmarkNode(bm, parent)
    {
        var _l3 = new FPUI.TreeNode(bm.publicName_str, bm);
        parent.addNode(_l3);
        var _l2 = bm.subBookmarks_array;
        if (_l2.length > 0)
        {
            var _l1 = 0;
            while (_l1 < _l2.length)
            {
                this.addBookmarkNode(_l2[_l1], _l3);
                ++_l1;
            } // end while
        } // end if
    } // End of the function
    function rebuildTree(bookmarks)
    {
        var _l2 = bookmarks;
        var _l3 = new FPUI.TreeNode("", null);
        var _l1 = 0;
        while (_l1 < _l2.length)
        {
            this.addBookmarkNode(_l2[_l1], _l3);
            ++_l1;
        } // end while
        this.m_treeMC.setDataProvider(new FPUI.TreeDataProvider(_l3));
    } // End of the function
    function onResize()
    {
        var _l1 = this;
        var _l3 = _l1.m_mainView.getSidebarWidth();
        var _l2 = _l1.m_mainView.getDocViewHeight();
        _l1.m_treeMC.setSize(_l3, _l2);
    } // End of the function
    function change(eventObject)
    {
        var _l1 = this.m_treeMC.getSelectedItem();
        if (_l1 != null)
        {
            var _l2 = _l1.getDataItemData();
            this.m_mainView.goToNamedAnchor(_l2.anchorName_str);
        } // end if
    } // End of the function
} // End of Class
