class FlashPaper.Utils
{
    function Utils()
    {
    } // End of the function
    static function clamp(min, val, max)
    {
        var _l1 = val;
        if (_l1 < min)
        {
            return (min);
            
        }
        else if (_l1 > max)
        {
            return (max);
            
        }
        else
        {
            return (_l1);
        } // end if
    } // End of the function
    static function doMouseHitTest(mc)
    {
        if (mc._visible == false)
        {
            return (false);
        } // end if
        var _l1 = new Object();
        _l1.x = _level0._xmouse;
        _l1.y = _level0._ymouse;
        _level0.localToGlobal(_l1);
        return (mc.hitTest(_l1.x, _l1.y, true));
    } // End of the function
    static function addShadow(destMC, topOffset, w, h, addTop)
    {
        var _l3 = destMC;
        var _l1;
        var _l2 = {silent: true};
        _l1 = _l3.attachMovie("shadow_h_mc", "shadow_h_mc", 1);
        _l1._x = 3;
        _l1._y = h;
        _l1._width = w - 6;
        _l1._accProps = _l2;
        _l1 = _l3.attachMovie("shadow_lv_mc", "shadow_lv_mc", 2);
        _l1._y = topOffset;
        _l1._height = h - 3 - topOffset;
        _l1._accProps = _l2;
        _l1 = _l3.attachMovie("shadow_rv_mc", "shadow_rv_mc", 3);
        _l1._x = w;
        _l1._y = topOffset;
        _l1._height = h - 3 - topOffset;
        _l1._accProps = _l2;
        _l1 = _l3.attachMovie("shadow_lc_mc", "shadow_lc_mc", 4);
        _l1._y = h;
        _l1._accProps = _l2;
        _l1 = _l3.attachMovie("shadow_rc_mc", "shadow_rc_mc", 5);
        _l1._x = w;
        _l1._y = h;
        _l1._accProps = _l2;
        if (addTop)
        {
            _l1 = _l3.attachMovie("shadow_h_mc", "shadow_top_mc", 6);
            _l1._x = 0;
            _l1._y = topOffset;
            _l1._width = w;
            _l1._accProps = _l2;
        } // end if
    } // End of the function
    static function removeShadow(destMC)
    {
        var _l1 = destMC;
        _l1.shadow_h_mc.removeMovieClip();
        _l1.shadow_lv_mc.removeMovieClip();
        _l1.shadow_rv_mc.removeMovieClip();
        _l1.shadow_lc_mc.removeMovieClip();
        _l1.shadow_rc_mc.removeMovieClip();
        _l1.shadow_top_mc.removeMovieClip();
    } // End of the function
    static function replaceInString(source, replace, replaceWith)
    {
        var _l3 = replace;
        var sb = "";
        var found = false;
        var _l2 = 0;
        while (_l2 < source.length)
        {
            if (source.charAt(_l2) == _l3.charAt(0))
            {
                found = true;
                var _l1 = 0;
                while (_l1 < _l3.length)
                {
                    if (source.charAt(_l2 + _l1) != _l3.charAt(_l1))
                    {
                        found = false;
                        break;
                    } // end if
                    ++_l1;
                } // end while
                if (found)
                {
                    sb = sb + replaceWith;
                    _l2 = _l2 + (_l3.length - 1);
                    
                } // end if
            } // end if
            sb = sb + source.charAt(_l2);
            ++_l2;
        } // end while
        return (sb);
    } // End of the function
    static var UIFONT = "Verdana";
    static var UIFONTSIZE = 12;
    static var UISMALLFONTSIZE = 10;
} // End of Class
