class FPUI.AccObject
{
    var m_type, m_state, m_defaultActionName, m_controller, m_handler;
    function AccObject(accType)
    {
        var _l1 = this;
        _l1.m_type = accType;
        _l1.m_state = FPUI.AccObject.STATE_SYSTEM_NORMAL;
        _l1.m_defaultActionName = "";
        _l1.m_controller = null;
        _l1.m_handler = "";
    } // End of the function
    function get_accRole(childId)
    {
        return (this.m_type);
    } // End of the function
    function set_accState(newState, enable)
    {
        if (enable)
        {
            this.m_state = this.m_state | newState;
        }
        else
        {
            this.m_state = this.m_state & (newState ^ 4294967295.000000);
        } // end if
    } // End of the function
    function get_accState(childId)
    {
        return (this.m_state);
    } // End of the function
    function set_accDefaultAction(name, controller, handler)
    {
        var _l1 = this;
        _l1.m_defaultActionName = name;
        _l1.m_controller = controller;
        _l1.m_handler = handler;
    } // End of the function
    function get_accDefaultAction(childId)
    {
        return (this.m_defaultActionName);
    } // End of the function
    function accDoDefaultAction(childId)
    {
        this.m_controller[this.m_handler]();
    } // End of the function
    static var ROLE_SYSTEM_LINK = 30;
    static var ROLE_SYSTEM_SLIDER = 51;
    static var ROLE_SYSTEM_TOOLBAR = 22;
    static var ROLE_SYSTEM_DROPLIST = 47;
    static var ROLE_SYSTEM_BUTTONDROPDOWN = 56;
    static var ROLE_SYSTEM_DOCUMENT = 15;
    static var ROLE_SYSTEM_SEPARATOR = 21;
    static var ROLE_SYSTEM_PUSHBUTTON = 43;
    static var EVENT_OBJECT_STATECHANGE = 32778;
    static var EVENT_OBJECT_LOCATIONCHANGE = 32779;
    static var EVENT_OBJECT_NAMECHANGE = 32780;
    static var EVENT_OBJECT_DESCRIPTIONCHANGE = 32781;
    static var EVENT_OBJECT_VALUECHANGE = 32782;
    static var STATE_SYSTEM_NORMAL = 0;
    static var STATE_SYSTEM_INVISIBLE = 32768;
    static var STATE_SYSTEM_UNAVAILABLE = 1;
} // End of Class
