class FPUI.Component extends MovieClip
{
    var controller;
    function Component()
    {
        var _l1 = this;
        var _l2 = _global;
        super();
        _l1.useHandCursor = false;
        _l1.tabChildren = false;
        _l1.tabEnabled = true;
        _l1.focusEnabled = true;
        _l1._focusrect = false;
        _l1._accImpl = new Object();
        _l1._accImpl.stub = true;
        _l1.m_width = _l1._width;
        _l1.m_height = _l1._height;
        _l1.m_methodTable = new Object();
        _l1.m_keyListener = new Object();
        _l1.m_keyListener.controller = _l1;
        _l1.m_keyListener.onKeyDown = function ()
        {
            this.controller.onComponentKeyDown();
        };
        if (_l2.fpuiFocusControl == undefined)
        {
            _l2.fpuiFocusControl = new Object();
            _l2.fpuiFocusControl.onSetFocus = function (oldFocus, newFocus)
            {
                oldFocus.onComponentKillFocus();
                newFocus.onComponentSetFocus();
                FPUI.Component.focusedComponent = newFocus;
            };
            Selection.addListener(_l2.fpuiFocusControl);
        } // end if
    } // End of the function
    function setEnabled(enabledFlag)
    {
        var _l1 = this;
        var _l2 = enabledFlag;
        _l1.m_enable = _l2;
        _l1.tabEnabled = _l2;
        _l1.focusEnabled = _l2;
        if (!_l1.m_enable && _l1.m_focused)
        {
            Selection.setFocus(undefined);
        } // end if
    } // End of the function
    function getEnabled()
    {
        return (this.m_enable);
    } // End of the function
    function getFocused()
    {
        return (this.m_focused);
    } // End of the function
    function setSize(w, h)
    {
        this.m_width = w;
        this.m_height = h;
    } // End of the function
    function setChangeHandler(chng, obj)
    {
        var _l1 = this;
        _l1.m_handlerObj = obj == undefined ? (_l1._parent) : (obj);
        _l1.m_changeHandler = chng;
    } // End of the function
    function invalidate(methodName)
    {
        var _l1 = this;
        _l1.m_methodTable[methodName] = true;
        _l1.onEnterFrame = _l1.cleanUI;
    } // End of the function
    function cleanUI()
    {
        var _l1 = this;
        var _l2 = _l1.m_methodTable;
        _l1.m_methodTable = new Object();
        delete _l1.onEnterFrame;
        for (var _l3 in _l2)
        {
            _l1._l3();
        } // end of for...in
    } // End of the function
    function pressFocus()
    {
        Selection.setFocus(this);
    } // End of the function
    function onComponentSetFocus()
    {
        this.m_focused = true;
        Key.addListener(this.m_keyListener);
    } // End of the function
    function onComponentKillFocus()
    {
        this.m_focused = false;
        Key.removeListener(this.m_keyListener);
    } // End of the function
    function onComponentKeyDown()
    {
    } // End of the function
    function executeCallBack()
    {
        var _l1 = this;
        _l1.m_handlerObj[_l1.m_changeHandler](_l1);
    } // End of the function
    static function fillRect(mc, left, top, width, height, ca)
    {
        var _l1 = mc;
        var _l3 = top;
        var _l2 = ca >> 24;
        if (_l2 < 0)
        {
            _l2 = _l2 + 256;
        } // end if
        _l2 = _l2 * 100 / 255;
        var c = ca & 16777215;
        _l1.beginFill(c, _l2);
        _l1.moveTo(left, _l3);
        _l1.lineTo(left + width, _l3);
        _l1.lineTo(left + width, _l3 + height);
        _l1.lineTo(left, _l3 + height);
        _l1.lineTo(left, _l3);
        _l1.endFill();
    } // End of the function
    static var focusedComponent = null;
    var m_width = 0;
    var m_height = 0;
    var m_enable = true;
    var m_focused = false;
    var m_handlerObj = null;
    var m_changeHandler = "";
    var m_methodTable = null;
    var m_keyListener = null;
    var m_eatsNavKeysWhenFocused = false;
    static var kHiliteColor = 4290117529.000000;
    static var kRolloverColor = 4292542412.000000;
    static var kWhiteBgColor = 4294967295.000000;
} // End of Class
