class FPUI.DataProvider
{
    function DataProvider()
    {
        this.m_items = new Array();
        this.m_views = new Array();
    } // End of the function
    function addView(viewRef)
    {
        this.m_views.push(viewRef);
        viewRef.dataViewModelChanged();
    } // End of the function
    function removeView(viewRef)
    {
        var _l1 = this;
        var _l2 = viewRef;
        for (var _l3 in _l1.m_views)
        {
            if (_l1.m_views[_l3] == _l2)
            {
                _l1.m_views[_l3] = null;
            } // end if
        } // end of for...in
        _l2.dataViewModelChanged();
    } // End of the function
    function addItemAt(index, value)
    {
        var _l1 = this;
        var _l2 = index;
        if (_l2 < _l1.getLength())
        {
            _l1.m_items.splice(_l2, 0, false);
        } // end if
        _l1.m_items[_l2] = value;
        _l1.updateViews();
    } // End of the function
    function removeItemsAt(index, count)
    {
        if (count > 0)
        {
            this.m_items.splice(index, count);
        } // end if
        this.updateViews();
    } // End of the function
    function removeAll()
    {
        this.m_items = new Array();
        this.updateViews();
    } // End of the function
    function getLength()
    {
        return (this.m_items.length);
    } // End of the function
    function getItemAt(index)
    {
        return (this.m_items[index]);
    } // End of the function
    function updateViews()
    {
        var _l3 = this;
        var _l1 = 0;
        while (_l1 < _l3.m_views.length)
        {
            var _l2 = _l3.m_views[_l1];
            if (_l2)
            {
                _l2.dataViewModelChanged();
            } // end if
            ++_l1;
        } // end while
    } // End of the function
    var m_items = null;
    var m_views = null;
    var m_uniqueID = 0;
} // End of Class
