class FPUI.NButton extends FPUI.Component
{
    var m_iconMC, m_enable, _parent;
    function NButton()
    {
        var _l1 = this;
        super();
        _l1.stop();
        _l1.useHandCursor = false;
        if (_l1.m_iconName != "")
        {
            var _l2 = _l1.attachMovie(_l1.m_iconName, "m_iconMC", 99);
            _l2._x = Math.round((_l1._width - _l2._width) / 2);
            _l2._y = Math.round((_l1._height - _l2._height) / 2);
            _l2.tabEnabled = false;
        } // end if
        if (_l1._accImpl != null)
        {
            delete _l1._accImpl;
            _l1._accImpl = null;
        } // end if
    } // End of the function
    function onComponentSetFocus()
    {
        super.onComponentSetFocus();
        this.go("focus");
    } // End of the function
    function onComponentKillFocus()
    {
        super.onComponentKillFocus();
        this.go("up");
    } // End of the function
    function go(s)
    {
        var _l1 = s;
        var _l2 = this;
        _l2.m_state = _l1;
        if (!_l2.m_enable)
        {
            _l1 = "up";
        }
        else if (_l1 == "up")
        {
            if (_l2.m_active)
            {
                _l1 = "over";
            }
            else if (_l2.getFocused())
            {
                _l1 = "focus";
            } // end if
        }
        else if (_l1 == "focus" && _l2.m_active)
        {
            _l1 = "over";
        } // end if
        _l2.gotoAndStop(_l1);
    } // End of the function
    function setEnabled(enabledFlag)
    {
        super.setEnabled(enabledFlag);
        this.m_iconMC._alpha = this.m_enable ? (100) : (50);
    } // End of the function
    function setActive(a)
    {
        var _l1 = this;
        _l1.m_active = a;
        _l1.go(_l1.m_state);
    } // End of the function
    function isActive()
    {
        return (this.m_active);
    } // End of the function
    function findListener(method)
    {
        var _l2 = method;
        var _l1 = this._parent;
        while (_l1 != null)
        {
            if (_l1.controller != undefined && _l1.controller[_l2] != undefined)
            {
                return (_l1.controller);
            } // end if
            _l1 = _l1._parent;
        } // end while
        return (null);
    } // End of the function
    function sendListener(method)
    {
        var _l1 = this.findListener(method);
        if (_l1 != null)
        {
            _l1[method]();
        } // end if
    } // End of the function
    function setKeyHandler(h)
    {
        this.m_keyHandler = h;
    } // End of the function
    function onComponentKeyDown()
    {
        var _l1 = this;
        if (_l1.m_keyHandler)
        {
            _l1.m_keyHandler.onKeyDown();
        }
        else if (Key.getCode() == 13)
        {
            _l1.sendListener(_l1.m_clickHandler);
        } // end if
    } // End of the function
    function onDragOver()
    {
        this.go("down");
    } // End of the function
    function onDragOut()
    {
        this.go("up");
    } // End of the function
    function onRollOver()
    {
        this.go("over");
    } // End of the function
    function onRollOut()
    {
        this.go("up");
    } // End of the function
    function onPress()
    {
        this.go("down");
    } // End of the function
    function onRelease()
    {
        var _l1 = this;
        if (_l1.m_enable)
        {
            _l1.sendListener(_l1.m_clickHandler);
        } // end if
        _l1.go("over");
    } // End of the function
    function onReleaseOutside()
    {
        this.go("up");
    } // End of the function
    var m_active = false;
    var m_keyHandler = null;
    var m_state = "up";
    var m_iconName = "";
    var m_clickHandler = "";
    var m_localName = "";
} // End of Class
