class FlashPaper.DocumentView extends FPUI.Component
{
    var m_documentView, pages_mc, y_sb;
    function DocumentView()
    {
        var _l2 = this;
        super();
        _l2.m_delayedBroadcasts = new Object();
        _l2.emptySelection();
        _l2.m_smartFindChars = new Object();
        for (var _l3 in FlashPaper.DocumentView.SMART_FIND)
        {
            var _l1 = FlashPaper.DocumentView.SMART_FIND[_l3];
            _l3 = 0;
            while (_l3 < _l1.length)
            {
                _l2.m_smartFindChars[_l1.substr(_l3, 1)] = _l1;
                ++_l3;
            } // end while
        } // end of for...in
    } // End of the function
    function handleDelayedBroadcast()
    {
        var _l2 = this;
        var _l1 = _l2.m_delayedBroadcasts;
        _l2.m_delayedBroadcasts = new Object();
        delete _l2.onEnterFrame;
        for (var _l3 in _l1)
        {
            if (_l1[_l3])
            {
                _l2.m_mainView.broadcastMessage(_l3);
            } // end if
        } // end of for...in
    } // End of the function
    function delayedBroadcast(s, b)
    {
        var _l1 = this;
        _l1.m_delayedBroadcasts[s] = b;
        _l1.onEnterFrame = _l1.handleDelayedBroadcast;
    } // End of the function
    function setMainView(p_mainView, p_searchToTop)
    {
        var _l1 = this;
        _l1.m_mainView = p_mainView;
        _l1.m_searchToTop = p_searchToTop;
        if (_l1.m_mainView)
        {
            _l1.m_mainView.addListener(_l1);
            _l1.m_docWidthInScreenDpi = _l1.m_mainView.getDocumentWidth() * _l1.m_mainView.getDocDpiToScreenDpiFactor();
            _l1.m_scaledDocWidthInScreenDpi = _l1.m_docWidthInScreenDpi;
            _l1.y_sb.setSmallScroll(FlashPaper.DocumentView.KEY_SCROLL_DISTANCE);
            _l1.y_sb.setChangeHandler("sendOnScroll", _l1);
            _l1.x_sb.setSmallScroll(FlashPaper.DocumentView.KEY_SCROLL_DISTANCE);
            _l1.x_sb.setChangeHandler("sendOnScroll", _l1);
            _l1.bg_mc.useHandCursor = false;
            _l1.bg_mc.m_documentView = _l1;
            _l1.bg_mc.onRollOver = function ()
            {
                this.m_documentView.onToolOver();
            };
            _l1.bg_mc.onMouseDown = function ()
            {
                this.m_documentView.onToolDown();
            };
            _l1.bg_mc.onMouseMove = _l1.bg_mc.onEnterFrame = function ()
            {
                this.m_documentView.onToolMove();
            };
            _l1.bg_mc.onMouseUp = function ()
            {
                this.m_documentView.onToolUp();
            };
            _l1.bg_mc.onRollOut = _l1.bg_mc.onReleaseOutside = function ()
            {
                this.m_documentView.onToolOut();
            };
            Mouse.addListener(_l1);
            _l1.setToolMode("pan");
        } // end if
        _l1.tabChildren = true;
        if (_l1._accImpl != null)
        {
            delete _l1._accImpl;
            _l1._accImpl = null;
        } // end if
    } // End of the function
    function sendOnScroll()
    {
        var _l1 = this;
        _l1.m_mainView.activateHyperlinks(_l1.getScrolledPage(true));
        _l1.m_mainView.broadcastMessage("internal_onScroll");
        _l1.delayedBroadcast("onVisibleAreaChanged", true);
    } // End of the function
    function getNthPage(i)
    {
        return (this.pages_mc["page" + i + "_mc"]);
    } // End of the function
    function getNthTextMC(i)
    {
        var _l1 = this.getNthPage(i);
        if (_l1 != null)
        {
            return (_l1.fpcontent_mc);
        } // end if
        return (null);
    } // End of the function
    function positionMsg(pagemc)
    {
        var _l1 = pagemc.msg_mc;
        if (_l1 != undefined)
        {
            var _l3 = pagemc.pageBorder_mc;
            var _l2 = 1 / this.m_mainView.getCurrentScaleFraction();
            _l1._xscale = _l1._yscale = _l2 * 100;
            _l1._y = _l2 * FlashPaper.DocumentView.LOADING_OFFSET;
            _l1._x = pagemc._x + _l2 * FlashPaper.DocumentView.LOADING_OFFSET;
            _l1._visible = _l1._x + _l1._width > _l3._width || _l1._y - pagemc._y + _l1._height > _l3._height ? (false) : (true);
        } // end if
    } // End of the function
    function internal_onAddPage(width_i, height_i)
    {
        var _l1 = this;
        var _l3 = _l1.m_mainView.getNumPages();
        var _l2 = _l1.pages_mc.attachMovie("blank", "page" + _l3 + "_mc", _l3);
        _l1.m_maxPageWidth = Math.max(_l1.m_maxPageWidth, width_i);
        _l1.m_maxPageHeight = Math.max(_l1.m_maxPageHeight, height_i);
        var pbmc = _l2.attachMovie("pageBorder", "pageBorder_mc", 10);
        var factor = _l1.m_mainView.getDocDpiToScreenDpiFactor();
        pbmc._width = width_i * factor;
        pbmc._height = height_i * factor;
        _l2.attachMovie("pageLoadingMsg", "msg_mc", 11);
        _l1.positionMsg(_l2);
        FlashPaper.Utils.addShadow(_l2, 3, pbmc._width, pbmc._height, false);
        if (_l3 > 1)
        {
            var mc = _l1.getNthPage(_l3 - 1);
            _l2._y = mc._y + mc._height + FlashPaper.DocumentView.PAGE_SPACING;
        }
        else
        {
            _l2._y = 0;
        } // end if
    } // End of the function
    function calcPageWidthScale()
    {
        return ((this.y_sb._x - FlashPaper.DocumentView.PAGE_MARGIN * 2) / this.m_docWidthInScreenDpi * 100);
    } // End of the function
    function calcPageFitScale()
    {
        var _l1 = this;
        var _l3 = _l1.calcPageWidthScale();
        var _l2 = (_l1.y_sb.getSize() - FlashPaper.DocumentView.PAGE_MARGIN * 2) / (_l1.m_maxPageHeight * _l1.m_mainView.getDocDpiToScreenDpiFactor()) * 100;
        var pageFitScale = Math.min(_l2, _l3);
        return (pageFitScale);
    } // End of the function
    function getMinWidth()
    {
        return (FlashPaper.DocumentView.MIN_WIDTH);
    } // End of the function
    function onResize()
    {
        var _l1 = this;
        var _l3 = _l1.m_mainView.getDocViewWidth();
        var _l2 = _l1.m_mainView.getDocViewHeight();
        _l3 = _l3 - (_l1.y_sb._visible ? (_l1.y_sb._width) : (0));
        _l2 = _l2 - (_l1.x_sb._visible ? (_l1.x_sb._height) : (0));
        _l1.y_sb._x = _l3;
        _l1.y_sb.setSize(_l2);
        _l1.y_sb.setEnabled(_l1.m_scrollingEnabled);
        _l1.x_sb._y = _l2;
        _l1.x_sb.setSize(_l3);
        _l1.x_sb.setEnabled(_l1.m_scrollingEnabled);
        _l1.bg_mc._y = -FlashPaper.DocumentView.DROPSHADOW_HEIGHT;
        _l1.bg_mc._x = 0;
        _l1.bg_mc._width = _l3;
        _l1.bg_mc._height = FlashPaper.DocumentView.DROPSHADOW_HEIGHT + _l2;
        _l1.corner_mc._visible = _l1.x_sb._visible && _l1.y_sb._visible;
        _l1.corner_mc._x = _l1.x_sb._x + _l1.x_sb.getSize();
        _l1.corner_mc._y = _l1.y_sb._y + _l1.y_sb.getSize();
    } // End of the function
    function adjustBar(sb, maxScroll)
    {
        var _l2 = maxScroll;
        var _l3 = sb;
        var _l1 = _l3.getSize();
        _l2 = _l2 - _l1;
        _l3.setScrollProperties(_l1, _l2);
        _l3._visible = _l2 > 0;
    } // End of the function
    function internal_onZoom(percent)
    {
        var _l1 = this;
        _l1.pages_mc._xscale = _l1.pages_mc._yscale = percent;
        _l1.m_scaledDocWidthInScreenDpi = _l1.m_docWidthInScreenDpi * (percent / 100);
        var y = _l1.y_sb.getScrollPosition() / _l1.y_sb.getMaxPos();
        if (isNaN(y) || y == Infinity)
        {
            y = 0;
        } // end if
        var x = _l1.x_sb.getScrollPosition() / _l1.x_sb.getMaxPos();
        if (isNaN(x) || x == Infinity)
        {
            x = 0.500000;
        } // end if
        _l1.adjustBar(_l1.x_sb, _l1.m_scaledDocWidthInScreenDpi + FlashPaper.DocumentView.PAGE_MARGIN * 2);
        _l1.adjustBar(_l1.y_sb, _l1.pages_mc._height + FlashPaper.DocumentView.PAGE_MARGIN * 2 + (_l1.x_sb._visible ? (_l1.x_sb._height) : (0)));
        _l1.onResize();
        _l1.y_sb.setScrollPosition(y * _l1.y_sb.getMaxPos());
        _l1.x_sb.setScrollPosition(x * _l1.x_sb.getMaxPos());
        _l1.sendOnScroll();
        var _l3 = _l1.m_mainView.getNumPages();
        var _l2 = 1;
        while (_l2 <= _l3)
        {
            _l1.positionMsg(_l1.getNthPage(_l2));
            ++_l2;
        } // end while
        _l1.m_mainView.onPageMayHaveChanged();
    } // End of the function
    function onScrollSB(sb, s, i)
    {
        var _l1;
        if (sb._visible)
        {
            _l1 = sb.getScrollPosition();
            if (isNaN(_l1) || _l1 < 0)
            {
                _l1 = 0;
            } // end if
        }
        else
        {
            _l1 = i;
        } // end if
        this.pages_mc[s] = -_l1 + FlashPaper.DocumentView.PAGE_MARGIN;
        this.m_mainView.onPageMayHaveChanged();
    } // End of the function
    function internal_onScroll()
    {
        var _l1 = this;
        _l1.onScrollSB(_l1.x_sb, "_x", -(_l1.y_sb._x - _l1.m_scaledDocWidthInScreenDpi) / 2 + FlashPaper.DocumentView.PAGE_MARGIN);
        _l1.onScrollSB(_l1.y_sb, "_y", 0);
    } // End of the function
    function getVisibleArea()
    {
        var _l1 = this;
        var _l2 = new Object();
        var _l3 = _l1.m_mainView.getCurrentScaleFraction();
        _l2.x = _l1.x_sb.getScrollPosition() / _l3;
        _l2.y = _l1.y_sb.getScrollPosition() / _l3;
        _l2.w = (_l1.bg_mc._width - FlashPaper.DocumentView.PAGE_MARGIN * 2) / _l3;
        _l2.h = (_l1.bg_mc._height - FlashPaper.DocumentView.PAGE_MARGIN * 2) / _l3;
        _l2.s = _l1.m_mainView.getSidebarWidth() / _l1.m_mainView.getWidth();
        _l2.equals = function (that)
        {
            var _l1 = this;
            var _l2 = that;
            return (_l1.x == _l2.x && _l1.y == _l2.y && _l1.w == _l2.w && _l1.h == _l2.h && _l1.s == _l2.s);
        };
        return (_l2);
    } // End of the function
    function setVisibleArea(area, skipBroadcast)
    {
        var _l1 = this;
        var _l2 = area;
        var w = (_l1.bg_mc._width - FlashPaper.DocumentView.PAGE_MARGIN * 2) / _l2.w;
        var h = (_l1.bg_mc._height - FlashPaper.DocumentView.PAGE_MARGIN * 2) / _l2.h;
        _l1.m_mainView.setCurrentZoom(Math.min(w, h) * 100);
        var _l3 = _l1.m_mainView.getCurrentScaleFraction();
        _l1.x_sb.setScrollPosition(_l2.x * _l3);
        _l1.y_sb.setScrollPosition(_l2.y * _l3);
        _l1.m_mainView.setSidebarWidth(_l2.s * _l1.m_mainView.getWidth());
        if (skipBroadcast)
        {
            _l1.delayedBroadcast("onVisibleAreaChanged", false);
        } // end if
    } // End of the function
    function onEnableScrolling(flag)
    {
        var _l1 = this;
        _l1.m_scrollingEnabled = flag;
        if (!_l1.m_scrollingEnabled && _l1.m_curTool == "pan")
        {
            _l1.setToolMode("");
        }
        else if (_l1.m_scrollingEnabled && _l1.m_curTool == "")
        {
            _l1.setToolMode("pan");
        } // end if
        _l1.onResize();
    } // End of the function
    function setPage(pageNum_i)
    {
        var _l1 = this;
        _l1.y_sb.setScrollPosition(_l1.getNthPage(pageNum_i)._y * _l1.m_mainView.getCurrentScaleFraction());
        _l1.m_mainView.onPageMayHaveChanged();
    } // End of the function
    function goToAnchor(anchor_o)
    {
        var _l1 = this;
        var _l3 = _l1.getNthPage(anchor_o.pageNum_i);
        var _l2 = _l1.m_mainView.getDocDpiToScreenDpiFactor();
        _l1.ensureVisibleSB(_l1.y_sb, _l3._y + anchor_o.top_i * _l2, _l3._y + anchor_o.bottom_i * _l2, _l1.m_searchToTop, false);
        _l1.ensureVisibleSB(_l1.x_sb, _l3._x + anchor_o.left_i * _l2, _l3._x + anchor_o.right_i * _l2, false, false);
        _l1.m_mainView.onPageMayHaveChanged();
    } // End of the function
    function hitTestTextMC()
    {
        var _l3 = this.m_mainView.getNumPages();
        var _l1 = 1;
        while (_l1 <= _l3)
        {
            var _l2 = this.getNthTextMC(_l1);
            if (_l2 != null && FlashPaper.Utils.doMouseHitTest(_l2))
            {
                return (_l1);
            } // end if
            ++_l1;
        } // end while
        return (0);
    } // End of the function
    function selectRange(startmc_i, startIdx_i, endmc_i, endIdx_i, select_b)
    {
        if (endmc_i < startmc_i)
        {
            this.selectRange(endmc_i, endIdx_i, startmc_i, startIdx_i, select_b);
        }
        else
        {
            var _l3 = startIdx_i;
            var end_i = FlashPaper.DocumentView.MAX_CHARS_PER_PAGE;
            var _l2 = startmc_i;
            while (_l2 <= endmc_i)
            {
                if (_l2 == endmc_i)
                {
                    end_i = endIdx_i;
                } // end if
                var text_mc = this.getNthTextMC(_l2);
                if (text_mc != null)
                {
                    var _l1 = text_mc.getTS(select_b);
                    if (_l1 != null)
                    {
                        _l1.setSelectColor(FPUI.Component.kHiliteColor);
                        if (_l3 <= end_i)
                        {
                            _l1.setSelected(_l3, end_i + 1, select_b);
                        }
                        else
                        {
                            _l1.setSelected(end_i, _l3 + 1, select_b);
                        } // end if
                    } // end if
                } // end if
                _l3 = 0;
                _l3 = 0;
                ++_l2;
            } // end while
        } // end if
    } // End of the function
    function findPageWordBoundary(page_i, char_i, dir_i, select_b)
    {
        var _l3 = char_i;
        var _l2 = this.getNthTextMC(page_i);
        if (_l2 != null)
        {
            var _l1 = _l2.getTS(select_b);
            if (_l1 != null)
            {
                _l3 = FlashPaper.DocumentView.findWordBoundary(_l1, _l3, dir_i);
            } // end if
        } // end if
        return (_l3);
    } // End of the function
    static function findWordBoundary(textSnapshot_ts, start_i, dir_i)
    {
        var _l1 = start_i;
        var _l3 = Math.max(_l1 - FlashPaper.DocumentView.MAX_WORD_FIND_RADIUS, 0);
        var end_i = Math.min(_l1 + FlashPaper.DocumentView.MAX_WORD_FIND_RADIUS, textSnapshot_ts.getCount() - 1);
        var _l2 = textSnapshot_ts.getText(_l1, _l1 + 1);
        if (FlashPaper.DocumentView.WORD_BREAK.indexOf(_l2) != -1)
        {
            if (_l1 != start_i)
            {
                _l1 = _l1 - dir_i;
            } // end if
            return (_l1);
        } // end if
        _l1 = _l1 + dir_i;
        if (_l1 < _l3)
        {
            return (_l3);
            
        }
        else if (_l1 > end_i)
        {
            return (end_i);
        } // end if
        
        return (_l1);
    } // End of the function
    function emptySelection()
    {
        var _l1 = this;
        _l1.selectRange(_l1.m_headPageIdx, _l1.m_headCharIdx, _l1.m_tailPageIdx, _l1.m_tailCharIdx, false);
        _l1.m_headPageIdx = 0;
        _l1.m_headCharIdx = -1;
        _l1.m_tailPageIdx = 0;
        _l1.m_tailCharIdx = -1;
        _l1.delayedBroadcast("onSelection", true);
    } // End of the function
    function tossAllTS()
    {
        this.emptySelection();
        var _l3 = this.m_mainView.getNumPages();
        var _l1 = 1;
        while (_l1 <= _l3)
        {
            var _l2 = this.getNthTextMC(_l1);
            if (_l2 != null)
            {
                _l2.freeTS();
            } // end if
            ++_l1;
        } // end while
        updateAfterEvent();
    } // End of the function
    function getSelectionOrder()
    {
        var _l1 = this;
        if (_l1.m_headPageIdx < _l1.m_tailPageIdx)
        {
            return (-1);
            
        }
        else if (_l1.m_headPageIdx > _l1.m_tailPageIdx)
        {
            return (1);
            
        }
        else if (_l1.m_headCharIdx < _l1.m_tailCharIdx)
        {
            return (-1);
            
        }
        else if (_l1.m_headCharIdx > _l1.m_tailCharIdx)
        {
            return (1);
            
        }
        else
        {
            return (0);
        } // end if
    } // End of the function
    function updateSelectionRange(startmc_i, startIdx_i, endmc_i, endIdx_i)
    {
        var _l1 = this;
        _l1.selectRange(_l1.m_headPageIdx, _l1.m_headCharIdx, _l1.m_tailPageIdx, _l1.m_tailCharIdx, false);
        _l1.m_headPageIdx = startmc_i;
        _l1.m_headCharIdx = startIdx_i;
        _l1.m_tailPageIdx = endmc_i;
        _l1.m_tailCharIdx = endIdx_i;
        if (_l1.m_wordSelect)
        {
            var _l2 = _l1.getSelectionOrder() <= 0 ? (-1) : (1);
            _l1.m_headCharIdx = _l1.findPageWordBoundary(_l1.m_headPageIdx, _l1.m_headCharIdx, _l2, true);
            _l1.m_tailCharIdx = _l1.findPageWordBoundary(_l1.m_tailPageIdx, _l1.m_tailCharIdx, -_l2, true);
        } // end if
        _l1.selectRange(_l1.m_headPageIdx, _l1.m_headCharIdx, _l1.m_tailPageIdx, _l1.m_tailCharIdx, true);
        _l1.m_lastClickHeadPageIdx = startmc_i;
        _l1.m_lastClickHeadCharIdx = startIdx_i;
        _l1.delayedBroadcast("onSelection", true);
    } // End of the function
    function updateSelectionTail(newTailMC_i, newTailIdx_i)
    {
        var _l1 = this;
        var _l2 = newTailMC_i;
        var _l3 = newTailIdx_i;
        if (_l3 >= 0)
        {
            var order = _l1.getSelectionOrder();
            var dir_i = 0;
            if (order <= 0 && (_l2 == _l1.m_tailPageIdx && _l3 > _l1.m_tailCharIdx || _l2 > _l1.m_tailPageIdx))
            {
                dir_i = 1;
            }
            else if (order >= 0 && (_l2 == _l1.m_tailPageIdx && _l3 < _l1.m_tailCharIdx || _l2 < _l1.m_tailPageIdx))
            {
                dir_i = -1;
            } // end if
            if (dir_i != 0)
            {
                if (_l1.m_wordSelect)
                {
                    _l3 = _l1.findPageWordBoundary(_l2, _l3, dir_i, true);
                } // end if
                _l1.selectRange(_l1.m_tailPageIdx, _l1.m_tailCharIdx, _l2, _l3, true);
                _l1.m_tailPageIdx = _l2;
                _l1.m_tailCharIdx = _l3;
                _l1.delayedBroadcast("onSelection", true);
            }
            else if (_l2 != _l1.m_tailPageIdx || _l3 != _l1.m_tailCharIdx)
            {
                _l1.updateSelectionRange(_l1.m_headPageIdx, _l1.m_headCharIdx, _l2, _l3);
            } // end if
        } // end if
    } // End of the function
    function keyDown(key_i)
    {
        var _l1 = this;
        if (!_l1.m_scrollingEnabled)
        {
        }
        else if (FPUI.Component.focusedComponent.m_eatsNavKeysWhenFocused)
        {
        }
        else
        {
            var _l3 = Selection.getFocus() == null;
            var scrollX_i = _l1.x_sb.getScrollPosition();
            var _l2 = _l1.y_sb.getScrollPosition();
            switch (key_i)
            {
                case 34:
                {
                    _l2 = _l2 + _l1.y_sb.getSize();
                    break;
                } 
                case 33:
                {
                    _l2 = _l2 - _l1.y_sb.getSize();
                    break;
                } 
                case 35:
                {
                    if (_l3)
                    {
                        _l2 = _l1.y_sb.getMaxPos();
                    } // end if
                    break;
                } 
                case 36:
                {
                    if (_l3)
                    {
                        _l2 = 0;
                    } // end if
                    break;
                } 
                case 40:
                {
                    _l2 = _l2 + FlashPaper.DocumentView.KEY_SCROLL_DISTANCE;
                    break;
                } 
                case 38:
                {
                    _l2 = _l2 - FlashPaper.DocumentView.KEY_SCROLL_DISTANCE;
                    break;
                } 
                case 37:
                {
                    if (_l3)
                    {
                        scrollX_i = scrollX_i - FlashPaper.DocumentView.KEY_SCROLL_DISTANCE;
                    } // end if
                    break;
                } 
                case 39:
                {
                    if (_l3)
                    {
                        scrollX_i = scrollX_i + FlashPaper.DocumentView.KEY_SCROLL_DISTANCE;
                    } // end if
                    break;
                } 
            } // End of switch
            _l1.y_sb.setScrollPosition(_l2);
            _l1.x_sb.setScrollPosition(scrollX_i);
            _l1.m_mainView.onPageMayHaveChanged();
        } // end if
    } // End of the function
    static function unionPoint(x, y, rect)
    {
        var _l1 = rect;
        _l1.left = Math.min(_l1.left, x);
        _l1.right = Math.max(_l1.right, x);
        _l1.top = Math.min(_l1.top, y);
        _l1.bottom = Math.max(_l1.bottom, y);
    } // End of the function
    function getSelectionRect(onlyFirstPage)
    {
        var sel = null;
        var start_i = this.m_headCharIdx;
        var end_i = FlashPaper.DocumentView.MAX_CHARS_PER_PAGE;
        var i = this.m_headPageIdx;
        while (i <= this.m_tailPageIdx)
        {
            var text_mc = this.getNthTextMC(i);
            if (text_mc == null)
            {
            }
            else
            {
                var textSnapshot_ts = text_mc.getTS(true);
                if (textSnapshot_ts == null)
                {
                }
                else
                {
                    if (i == this.m_tailPageIdx)
                    {
                        end_i = this.m_tailCharIdx;
                    } // end if
                    if (sel == null)
                    {
                        sel = new Object();
                        sel.left = 1000000000;
                        sel.top = 1000000000;
                        sel.right = -1000000000;
                        sel.bottom = -1000000000;
                    } // end if
                    if (textSnapshot_ts.getTextRunInfo === undefined)
                    {
                        var pagemc = this.getNthPage(i);
                        FlashPaper.DocumentView.unionPoint(pagemc._x, pagemc._y, sel);
                        FlashPaper.DocumentView.unionPoint(pagemc._x + pagemc._width, pagemc._y + pagemc._height, sel);
                    }
                    else
                    {
                        var _l1 = new Object();
                        var info = textSnapshot_ts.getTextRunInfo(start_i, end_i);
                        var _l3 = 0;
                        while (_l3 < info.length)
                        {
                            var _l2 = 0;
                            while (_l2 < 4)
                            {
                                _l1.x = info[_l3]["corner" + _l2 + "x"];
                                _l1.y = info[_l3]["corner" + _l2 + "y"];
                                text_mc.localToGlobal(_l1);
                                this.pages_mc.globalToLocal(_l1);
                                FlashPaper.DocumentView.unionPoint(_l1.x, _l1.y, sel);
                                ++_l2;
                            } // end while
                            ++_l3;
                        } // end while
                    } // end if
                    if (onlyFirstPage)
                    {
                        break;
                    } // end if
                } // end if
            } // end if
            (start_i = 0);
            (++i);
        } // end while
        return (sel);
    } // End of the function
    function ensureVisibleSB(sb, min, max, toTop, includeSlop)
    {
        if (sb._visible)
        {
            var _l2 = this.m_mainView.getCurrentScaleFraction();
            var curScrollPos = sb.getScrollPosition();
            var _l1 = Math.round(curScrollPos / _l2);
            var curVisMax = Math.round((curScrollPos + (toTop ? (FlashPaper.DocumentView.VISIBILITY_MARGIN) : (sb.getSize()))) / _l2);
            var _l3 = includeSlop ? (FlashPaper.DocumentView.VISIBILITY_MARGIN / _l2) : (0);
            min = min - _l3;
            max = max + _l3;
            if (max > curVisMax)
            {
                _l1 = Math.round(max - (curVisMax - _l1));
            } // end if
            if (min < _l1)
            {
                _l1 = min;
            } // end if
            return (sb.setScrollPosition(_l1 * _l2));
        } // end if
        return (false);
    } // End of the function
    function ensureSelectionIsVisible()
    {
        var _l1 = this;
        var _l2 = _l1.getSelectionRect(true);
        if (_l2 != null)
        {
            _l1.ensureVisibleSB(_l1.x_sb, _l2.left, _l2.right, false, true);
            var _l3 = _l1.ensureVisibleSB(_l1.y_sb, _l2.top, _l2.bottom, _l1.m_searchToTop, true);
            if (_l3)
            {
                _l1.m_mainView.onPageMayHaveChanged();
            } // end if
        } // end if
    } // End of the function
    static function charsMatch(src, pattern, matcher)
    {
        var _l2 = src;
        var _l3 = pattern;
        if (_l2.length == _l3.length)
        {
            if (_l2 == _l3)
            {
                return (true);
            } // end if
            var _l1 = matcher[_l3];
            if (_l1 != undefined)
            {
                if (_l1.indexOf(_l2) != -1)
                {
                    return (true);
                } // end if
            } // end if
        } // end if
        return (false);
    } // End of the function
    static function findSpecial(textSnapshot_ts, startIdx_i, pattern, caseSens_b, matcher)
    {
        if (!caseSens_b)
        {
            pattern = pattern.toLowerCase();
        } // end if
        var count = textSnapshot_ts.getCount();
        var _l3 = startIdx_i;
        while (_l3 < count)
        {
            var _l2 = textSnapshot_ts.getText(_l3, _l3 + pattern.length);
            if (!caseSens_b)
            {
                _l2 = _l2.toLowerCase();
            } // end if
            if (FlashPaper.DocumentView.charsMatch(_l2.charAt(0), pattern.charAt(0), matcher))
            {
                var found = true;
                var _l1 = 1;
                while (_l1 < pattern.length)
                {
                    if (!FlashPaper.DocumentView.charsMatch(_l2.charAt(_l1), pattern.charAt(_l1), matcher))
                    {
                        found = false;
                        break;
                    } // end if
                    ++_l1;
                } // end while
                if (found)
                {
                    return (_l3);
                } // end if
            } // end if
            ++_l3;
        } // end while
        return (-1);
    } // End of the function
    function findText(textToFind_str, caseSens_b)
    {
        var _l2 = this;
        var anySpecial = false;
        var j = 0;
        while (j < textToFind_str.length)
        {
            if (_l2.m_smartFindChars[textToFind_str.charAt(j)] != undefined)
            {
                anySpecial = true;
                break;
            } // end if
            ++j;
        } // end while
        var startmc_i = _l2.m_tailPageIdx;
        if (startmc_i == 0)
        {
            startmc_i = 1;
        } // end if
        var startIdx_i = _l2.m_tailCharIdx + 1;
        if (startIdx_i < 0)
        {
            startIdx_i = 0;
        } // end if
        if (_l2.m_lastFindStr != textToFind_str)
        {
            startmc_i = 1;
            startIdx_i = 0;
            _l2.m_lastFindStr = textToFind_str;
        } // end if
        var found = false;
        var np = _l2.m_mainView.getNumPages();
        var _l1 = startmc_i;
        while (_l1 <= np)
        {
            var text_mc = _l2.getNthTextMC(_l1);
            if (text_mc != null)
            {
                var textSnapshot_ts = text_mc.getTS(true);
                var _l3;
                if (anySpecial)
                {
                    _l3 = FlashPaper.DocumentView.findSpecial(textSnapshot_ts, startIdx_i, textToFind_str, caseSens_b, _l2.m_smartFindChars);
                }
                else
                {
                    _l3 = textSnapshot_ts.findText(startIdx_i, textToFind_str, caseSens_b);
                } // end if
                if (_l3 >= 0)
                {
                    _l2.updateSelectionRange(_l1, _l3, _l1, _l3 + textToFind_str.length - 1);
                    _l2.ensureSelectionIsVisible();
                    found = true;
                    break;
                } // end if
            } // end if
            startIdx_i = 0;
            ++_l1;
        } // end while
        if (!found)
        {
            _l2.selectRange(_l2.m_headPageIdx, _l2.m_headCharIdx, _l2.m_tailPageIdx, _l2.m_tailCharIdx, false);
            _l2.emptySelection();
        } // end if
        return (found);
    } // End of the function
    function getTextSelectionRange()
    {
        var _l2 = this;
        if (_l2.m_headCharIdx < 0)
        {
            return (null);
            
        }
        else
        {
            var _l1 = new FlashPaper.SelectionRange();
            _l1.headPageIdx = _l2.m_headPageIdx;
            _l1.headCharIdx = _l2.m_headCharIdx;
            _l1.tailPageIdx = _l2.m_tailPageIdx;
            _l1.tailCharIdx = _l2.m_tailCharIdx;
            return (_l1);
        } // end if
    } // End of the function
    function setTextSelectionRange(sel, skipBroadcast)
    {
        var _l1 = sel;
        var _l2 = this;
        if (_l1)
        {
            _l2.updateSelectionRange(_l1.headPageIdx, _l1.headCharIdx, _l1.tailPageIdx, _l1.tailCharIdx);
        }
        else
        {
            _l2.emptySelection();
        } // end if
        if (skipBroadcast)
        {
            _l2.delayedBroadcast("onSelection", false);
        } // end if
    } // End of the function
    function getSelectedText()
    {
        var text_s = "";
        var np = this.m_mainView.getNumPages();
        var _l2 = 1;
        while (_l2 <= np)
        {
            var _l3 = this.getNthTextMC(_l2);
            if (_l3 != null)
            {
                var textSnapshot_ts = _l3.getTS(true);
                var _l1 = textSnapshot_ts.getSelectedText(true);
                if (_l1 != null)
                {
                    if (text_s.length > 0 && _l1.length > 0)
                    {
                        text_s = text_s + "\n";
                    } // end if
                    text_s = text_s + _l1;
                } // end if
            } // end if
            ++_l2;
        } // end while
        return (text_s);
    } // End of the function
    function getToolMode()
    {
        return (this.m_curTool);
    } // End of the function
    function setToolMode(newTool)
    {
        var _l1 = this;
        var _l2 = newTool;
        switch (_l2)
        {
            case "":
            {
                break;
            } 
            case "select":
            {
                if (_l1.getTextSnapshot == null)
                {
                    return (false);
                } // end if
                break;
            } 
            case "pan":
            {
                if (!_l1.m_scrollingEnabled)
                {
                    return (false);
                } // end if
                break;
            } 
            default:
            {
                return (false);
            } 
        } // End of switch
        if (_l1.m_curTool != _l2)
        {
            if (_l1.m_curTool == "select")
            {
                _l1.tossAllTS();
            } // end if
            _l1.m_curTool = _l2;
            if (FlashPaper.Utils.doMouseHitTest(_l1.bg_mc))
            {
                _l1.m_mainView.setCursor(_l1, _l2);
            } // end if
            _l1.m_mainView.broadcastMessage("onToolChanged", _l2);
        } // end if
        return (true);
    } // End of the function
    function onToolOver()
    {
        var _l1 = this;
        _l1.m_mainView.setCursorFocus(_l1);
        _l1.m_mainView.setCursor(_l1, _l1.m_curTool);
    } // End of the function
    function onToolOut()
    {
        this.m_mainView.setCursor(this, "");
    } // End of the function
    function distFromClickIsWithin(i)
    {
        var _l1 = this;
        return (Math.abs(_l1.m_mainView.getMouseY() - _l1.m_initialMouseY) <= i && Math.abs(_l1.m_mainView.getMouseX() - _l1.m_initialMouseX) <= i);
    } // End of the function
    function onToolDown()
    {
        var _l1 = this;
        if (FlashPaper.Utils.doMouseHitTest(_l1.bg_mc))
        {
            _l1.m_usingTool = true;
            _l1.m_doubleClicked = false;
            _l1.m_wordSelect = false;
            _l1.m_useLastClickForHead = false;
            if (getTimer() - _l1.m_initialMouseTime <= FlashPaper.DocumentView.DBLCLICK_TIME)
            {
                if (_l1.distFromClickIsWithin(FlashPaper.DocumentView.DBLCLICK_DIST))
                {
                    _l1.m_doubleClicked = true;
                } // end if
            } // end if
            _l1.m_initialMouseTime = getTimer();
            _l1.m_initialMouseX = _l1.m_mainView.getMouseX();
            _l1.m_initialMouseY = _l1.m_mainView.getMouseY();
            _l1.m_mouseMovedEnough = false;
            switch (_l1.m_curTool)
            {
                case "pan":
                {
                    if (!_l1.m_scrollingEnabled)
                    {
                        _l1.m_usingTool = false;
                        break;
                    } // end if
                    _l1.m_startScrollY = _l1.y_sb.getScrollPosition();
                    if (isNaN(_l1.m_startScrollY))
                    {
                        _l1.m_startScrollY = 0;
                    } // end if
                    _l1.m_startScrollX = _l1.x_sb.getScrollPosition();
                    if (isNaN(_l1.m_startScrollX))
                    {
                        _l1.m_startScrollX = 0;
                    } // end if
                    break;
                } 
                case "select":
                {
                    _l1.m_wordSelect = _l1.m_doubleClicked;
                    var _l3 = _l1.hitTestTextMC();
                    if (_l3)
                    {
                        var text_mc = _l1.getNthTextMC(_l3);
                        var textSnapshot_ts = text_mc.getTS(true);
                        var _l2 = textSnapshot_ts.hitTestTextNearPos(text_mc._xmouse, text_mc._ymouse, FlashPaper.DocumentView.HUGE_HIT_TEST_DIST);
                        var extend = Key.isDown(16);
                        if (extend)
                        {
                            if (_l1.m_headCharIdx < 0)
                            {
                                _l1.m_headPageIdx = _l1.m_lastClickHeadPageIdx;
                                _l1.m_headCharIdx = _l1.m_lastClickHeadCharIdx;
                            } // end if
                            if (_l1.m_headCharIdx < 0)
                            {
                                _l2 = -1;
                                extend = false;
                            } // end if
                        }
                        else
                        {
                            _l1.emptySelection();
                        } // end if
                        if (_l2 >= 0)
                        {
                            if (extend)
                            {
                                _l1.updateSelectionTail(_l3, _l2);
                            }
                            else if (_l1.m_wordSelect)
                            {
                                _l1.updateSelectionRange(_l3, _l2, _l3, _l2);
                            }
                            else
                            {
                                _l1.m_lastClickHeadPageIdx = _l3;
                                _l1.m_lastClickHeadCharIdx = _l2;
                                _l1.m_useLastClickForHead = true;
                            } // end if
                        }
                        else if (!extend)
                        {
                            _l1.emptySelection();
                        } // end if
                    } // end if
                    break;
                } 
            } // End of switch
        } // end if
    } // End of the function
    function onToolMove()
    {
        var _l1 = this;
        if (_l1.m_usingTool)
        {
            if (!_l1.m_mouseMovedEnough)
            {
                if (!_l1.distFromClickIsWithin(FlashPaper.DocumentView.TOOL_HYSTERESIS))
                {
                    _l1.m_mouseMovedEnough = true;
                } // end if
            } // end if
            switch (_l1.m_curTool)
            {
                case "pan":
                {
                    FlashPaper.DocumentView.handleAbsoluteScroll(_l1.y_sb, _l1.m_startScrollY - (_l1.m_mainView.getMouseY() - _l1.m_initialMouseY));
                    FlashPaper.DocumentView.handleAbsoluteScroll(_l1.x_sb, _l1.m_startScrollX - (_l1.m_mainView.getMouseX() - _l1.m_initialMouseX));
                    break;
                } 
                case "select":
                {
                    if (!FlashPaper.Utils.doMouseHitTest(_l1.bg_mc))
                    {
                        var _l2 = _l1.m_mainView.getBoundsInMainViewCoords(_l1.bg_mc);
                        FlashPaper.DocumentView.handleAutoScroll(_l1.y_sb, _l1.m_mainView.getMouseY(), _l2.yMin, _l2.yMax);
                        FlashPaper.DocumentView.handleAutoScroll(_l1.x_sb, _l1.m_mainView.getMouseX(), _l2.xMin, _l2.xMax);
                    } // end if
                    var _l3 = _l1.hitTestTextMC();
                    if (_l3 != 0)
                    {
                        if (_l1.m_headPageIdx != 0 || _l1.m_useLastClickForHead && _l1.m_lastClickHeadPageIdx != 0)
                        {
                            var text_mc = _l1.getNthTextMC(_l3);
                            var textSnapshot_ts = text_mc.getTS(true);
                            var index = textSnapshot_ts.hitTestTextNearPos(text_mc._xmouse, text_mc._ymouse, FlashPaper.DocumentView.HUGE_HIT_TEST_DIST);
                            if (_l1.m_mouseMovedEnough)
                            {
                                if (_l1.m_useLastClickForHead)
                                {
                                    _l1.updateSelectionRange(_l1.m_lastClickHeadPageIdx, _l1.m_lastClickHeadCharIdx, _l3, index);
                                    _l1.m_useLastClickForHead = false;
                                }
                                else
                                {
                                    _l1.updateSelectionTail(_l3, index);
                                } // end if
                            } // end if
                        } // end if
                    } // end if
                    break;
                } 
            } // End of switch
            _l1.m_mainView.onPageMayHaveChanged();
        } // end if
        updateAfterEvent();
    } // End of the function
    function onToolUp()
    {
        var _l1 = this;
        _l1.m_usingTool = false;
        _l1.m_wordSelect = false;
        _l1.m_useLastClickForHead = false;
    } // End of the function
    static function handleAbsoluteScroll(sb, scrollPos)
    {
        var _l1 = sb;
        if (_l1 != null && _l1._visible && _l1.getScrollPosition() != scrollPos)
        {
            _l1.setScrollPosition(scrollPos);
            return (true);
        } // end if
        return (false);
    } // End of the function
    static function handleRelativeScroll(sb, delta_i)
    {
        if (delta_i != 0)
        {
            return (FlashPaper.DocumentView.handleAbsoluteScroll(sb, sb.getScrollPosition() + delta_i));
        } // end if
        return (false);
    } // End of the function
    static function handleAutoScroll(sb, pos_i, minpos_i, maxpos_i)
    {
        var _l1 = pos_i;
        var _l3 = sb;
        if (_l3 != null && _l3._visible)
        {
            var _l2;
            if (_l1 > maxpos_i)
            {
                _l2 = _l1 - maxpos_i;
            }
            else if (_l1 < minpos_i)
            {
                _l2 = _l1 - minpos_i;
            } // end if
            return (FlashPaper.DocumentView.handleRelativeScroll(_l3, _l2));
        } // end if
        return (false);
    } // End of the function
    function onMouseWheel(delta)
    {
        var _l1 = this;
        if (!_l1.m_scrollingEnabled)
        {
        }
        else if (!_l1.m_usingTool && _l1.y_sb._visible && delta != 0)
        {
            var _l2 = _l1.y_sb.getScrollPosition();
            if (isNaN(_l2))
            {
                _l2 = 0;
            } // end if
            _l2 = _l2 - delta * FlashPaper.DocumentView.WHEEL_SCROLL_DISTANCE;
            _l1.y_sb.setScrollPosition(_l2);
            _l1.m_mainView.onPageMayHaveChanged();
        } // end if
    } // End of the function
    function getScrolledPage(middle)
    {
        var _l2 = this;
        var _l3 = _l2.y_sb.getScrollPosition();
        if (middle)
        {
            _l3 = _l3 + _l2.y_sb.getSize() / 2;
        } // end if
        _l3 = Math.round(_l3 / _l2.m_mainView.getCurrentScaleFraction());
        var _l1 = _l2.m_mainView.getNumPages();
        while (_l1 > 0)
        {
            if (_l2.getNthPage(_l1)._y <= _l3)
            {
                return (_l1);
            } // end if
            --_l1;
        } // end while
        return (1);
    } // End of the function
    function rebuildMask()
    {
        var _l1 = this;
        var _l3 = _l1.m_mainView.getDocViewWidth();
        var _l2 = _l1.m_mainView.getDocViewHeight();
        _l1.setMask(null);
        _l1.m_fpMask.removeMovieClip();
        _l1.createEmptyMovieClip("m_fpMask", 1066);
        _l1.m_fpMask.beginFill(0, 100);
        _l1.m_fpMask.moveTo(0, 0);
        _l1.m_fpMask.lineTo(_l3, 0);
        _l1.m_fpMask.lineTo(_l3, _l2);
        _l1.m_fpMask.lineTo(0, _l2);
        _l1.m_fpMask.lineTo(0, 0);
        _l1.m_fpMask.endFill();
        _l1.setMask(_l1.m_fpMask);
    } // End of the function
    static var MAX_CHARS_PER_PAGE = 2147483646;
    static var HUGE_HIT_TEST_DIST = 100000;
    static var PAGE_MARGIN = 8;
    static var MIN_WIDTH = 64;
    static var PAGE_SPACING = 24;
    static var LOADING_OFFSET = 16;
    static var VISIBILITY_MARGIN = 32;
    static var KEY_SCROLL_DISTANCE = 50;
    static var WHEEL_SCROLL_DISTANCE = 50;
    static var DROPSHADOW_HEIGHT = 2;
    static var TOOL_HYSTERESIS = 4;
    static var DBLCLICK_DIST = 2;
    static var DBLCLICK_TIME = 500;
    static var PAGE_TAB_INDEX_BASE = 400;
    static var SMART_FIND = ["\'", "\""];
    static var WORD_BREAK = "\t\n\xb\f\r ???????????????????@?--?????ߡ?\"\'????????uvyz?wx{|??!,.:;???????????????????????????????????????????????????????BCMNOQRSTIADGFH?N#$%&()*+/<=>@[\\]^`{|}" + "~";
    static var MAX_WORD_FIND_RADIUS = 100;
    var m_mainView = null;
    var m_usingTool = false;
    var m_lastClickHeadPageIdx = 0;
    var m_lastClickHeadCharIdx = -1;
    var m_useLastClickForHead = false;
    var m_headPageIdx = 0;
    var m_headCharIdx = -1;
    var m_tailPageIdx = 0;
    var m_tailCharIdx = -1;
    var m_scaledDocWidthInScreenDpi = 0;
    var m_docWidthInScreenDpi = 0;
    var m_startScrollX = 0;
    var m_startScrollY = 0;
    var m_initialMouseTime = 0;
    var m_initialMouseX = 0;
    var m_initialMouseY = 0;
    var m_mouseMovedEnough = false;
    var m_doubleClicked = false;
    var m_wordSelect = false;
    var m_curTool = "";
    var m_fpMask = null;
    var m_searchToTop = false;
    var m_smartFindChars = null;
    var m_scrollingEnabled = true;
    var m_maxPageWidth = 0;
    var m_maxPageHeight = 0;
} // End of Class
